Skip to main content
GET
/
api
/
v1
/
cancellation-requests
Iptal taleplerini listele
curl --request GET \
  --url https://vpos-sandbox.payven.com.tr/api/v1/cancellation-requests \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "requested_by": "<string>",
      "requested_at": "2023-11-07T05:31:56Z",
      "reason": "<string>",
      "reviewed_by": "<string>",
      "reviewed_at": "2023-11-07T05:31:56Z",
      "review_note": "<string>",
      "void_error_code": "<string>",
      "void_error_message": "<string>",
      "transaction": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "amount": 123,
        "currency": "<string>",
        "status": "<string>",
        "created": "2023-11-07T05:31:56Z",
        "masked_card_number": "<string>",
        "connector_name": "<string>"
      }
    }
  ],
  "page": 123,
  "total_pages": 123,
  "total_count": 123,
  "has_previous_page": true,
  "has_next_page": true
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Query Parameters

status
enum<string>
Available options:
Pending,
Approved,
Rejected,
Failed
merchant_id
string<uuid>
transaction_id
string<uuid>
from_date
string<date-time>
to_date
string<date-time>
page
integer<int32>
page_size
integer<int32>
include_inactive
boolean
search_term
string

Response

OK

items
object[] | null
page
integer<int32>
total_pages
integer<int32>
read-only
total_count
integer<int32>
read-only
has_previous_page
boolean
read-only
has_next_page
boolean
read-only